Package twisted :: Package protocols :: Module dict |
[show private | hide private]
[frames | no frames]

## Module twisted.protocols.dict

Dict client protocol implementation.

Author: Pavel Pergamenshchik<mailto:pp64@cornell.edu>

Classes
`Definition` | A word definition
`DictClient` | dict (RFC2229) client
`DictLookup` | Utility class for a single dict transaction.
`DictLookupFactory` | Utility factory for a single dict transaction

Exceptions
`InvalidResponse` |

Function Summary
| ``define`(host, port, database, word)` Look up a word using a dict server
| ``makeAtom`(line)` Munch a string into an 'atom'
| ``match`(host, port, database, strategy, word)` Match a word using a dict server
| ``parseParam`(line)` Chew one dqstring or atom from beginning of line and return (param, remaningline)
| `parseText(line)`

Function Details

### define(host, port, database, word) Look up a word using a dict server

### makeAtom(line) Munch a string into an 'atom'

### match(host, port, database, strategy, word) Match a word using a dict server

### parseParam(line) Chew one dqstring or atom from beginning of line and return (param, remaningline)

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net